org.eclipse.viatra.query.patternlanguage.services

## Class PatternLanguageGrammarAccess.XBooleanLiteralElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.services.PatternLanguageGrammarAccess.XBooleanLiteralElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.XBooleanLiteralElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBooleanLiteralElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_1()`
    `org.eclipse.xtext.Keyword` | `getFalseKeyword_1_0()`
    `org.eclipse.xtext.Keyword` | `getFALSEKeyword_1_1()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getIsTrueAssignment_1_2()`
    `org.eclipse.xtext.Assignment` | `getIsTrueAssignment_1_3()`
    `org.eclipse.xtext.Keyword` | `getIsTrueTrueKeyword_1_2_0()`
    `org.eclipse.xtext.Keyword` | `getIsTrueTRUEKeyword_1_3_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Action` | `getXBooleanLiteralAction_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBooleanLiteralElements

          public XBooleanLiteralElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getXBooleanLiteralAction_0

          public org.eclipse.xtext.Action getXBooleanLiteralAction_0()

    - #### getAlternatives_1

          public org.eclipse.xtext.Alternatives getAlternatives_1()

    - #### getFalseKeyword_1_0

          public org.eclipse.xtext.Keyword getFalseKeyword_1_0()

    - #### getFALSEKeyword_1_1

          public org.eclipse.xtext.Keyword getFALSEKeyword_1_1()

    - #### getIsTrueAssignment_1_2

          public org.eclipse.xtext.Assignment getIsTrueAssignment_1_2()

    - #### getIsTrueTrueKeyword_1_2_0

          public org.eclipse.xtext.Keyword getIsTrueTrueKeyword_1_2_0()

    - #### getIsTrueAssignment_1_3

          public org.eclipse.xtext.Assignment getIsTrueAssignment_1_3()

    - #### getIsTrueTRUEKeyword_1_3_0

          public org.eclipse.xtext.Keyword getIsTrueTRUEKeyword_1_3_0()